me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats

## Class Seat

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.Seat

Direct Known Subclasses:
  ControllingSeat

    public class Seat
    extends Part

### Constructor Summary

Constructors
Constructor and Description
`Seat()`
`Seat(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, java.lang.Boolean steer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enter(org.bukkit.entity.Player toEnter)`
`java.lang.Boolean` `getOccupied()` Is this seat occupied by a rider
`org.bukkit.entity.Player` `getPassenger()`
`java.lang.Boolean` `getSteer()` Is this seat a controller seat
`void` `setOccupied(java.lang.Boolean occupied)` Is this seat occupied by a rider
`void` `setSteer(java.lang.Boolean steer)` Is this seat a controller seat
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`applyExtraOffset, despawnStand, getHolder, getIsCustomPlaced, getOwningVehicle, getUID, getXOffset, getYOffset, getZOffset, setHolder, setIsCustomPlaced, setOwningVehicle, setUID, setXOffset, setYOffset, setZOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Seat

    public Seat(java.lang.Double xOffset,
                java.lang.Double yOffset,
                java.lang.Double zOffset,
                java.lang.Boolean steer)

#### Seat

    public Seat()

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Overrides:
  `spawnStand` in class `Part`

#### enter

    public void enter(org.bukkit.entity.Player toEnter)

#### getPassenger

    public org.bukkit.entity.Player getPassenger()

#### setOccupied

    public void setOccupied(java.lang.Boolean occupied)

Is this seat occupied by a rider

#### setSteer

    public void setSteer(java.lang.Boolean steer)

Is this seat a controller seat

#### getOccupied

    public java.lang.Boolean getOccupied()

Is this seat occupied by a rider

#### getSteer

    public java.lang.Boolean getSteer()

Is this seat a controller seat